| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs | Enumerations | Functions
irrXML.h File Reference

Header file of the irrXML, the Irrlicht XML parser. More...

`#include <stdio.h>`
`#include "IrrCompileConfig.h"`

Go to the source code of this file.

## Classes

- class irr::io::IFileReadCallBack
    Callback class for file read abstraction. More...
- class irr::io::IIrrXMLReader< char_type, super_class >
    Interface providing easy read access to a XML file. More...
- class irr::io::IXMLBase
    Empty class to be used as parent class for IrrXMLReader. More...
- struct irr::io::xmlChar< T >

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::io

    This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

## Typedefs

- typedef xmlChar< unsigned short > irr::io::char16
    defines the utf-16 type.
- typedef xmlChar< unsigned int > irr::io::char32
    defines the utf-32 type.
- typedef IIrrXMLReader< char,
  IXMLBase > irr::io::IrrXMLReader
    A UTF-8 or ASCII character xml parser.
- typedef IIrrXMLReader< char16,
  IXMLBase > irr::io::IrrXMLReaderUTF16
    A UTF-16 xml parser.
- typedef IIrrXMLReader< char32,
  IXMLBase > irr::io::IrrXMLReaderUTF32
    A UTF-32 xml parser.

## Enumerations

- enum irr::io::ETEXT_FORMAT {
  irr::io::ETF_ASCII, irr::io::ETF_UTF8, irr::io::ETF_UTF16_BE, irr::io::ETF_UTF16_LE,
  irr::io::ETF_UTF32_BE, irr::io::ETF_UTF32_LE
  }
    Enumeration of all supported source text file formats. More...
- enum irr::io::EXML_NODE {
  irr::io::EXN_NONE, irr::io::EXN_ELEMENT, irr::io::EXN_ELEMENT_END, irr::io::EXN_TEXT,
  irr::io::EXN_COMMENT, irr::io::EXN_CDATA, irr::io::EXN_UNKNOWN
  }
    Enumeration for all xml nodes which are parsed by IrrXMLReader. More...

## Functions

- IRRLICHT_API IrrXMLReader
  *IRRCALLCONV irr::io::createIrrXMLReader (const char *filename)
    Creates an instance of an UFT-8 or ASCII character xml parser.
- IRRLICHT_API IrrXMLReader
  *IRRCALLCONV irr::io::createIrrXMLReader (FILE *file)
    Creates an instance of an UFT-8 or ASCII character xml parser.
- IRRLICHT_API IrrXMLReader
  *IRRCALLCONV irr::io::createIrrXMLReader (IFileReadCallBack *callback, bool deleteCallback=false)
    Creates an instance of an UFT-8 or ASCII character xml parser.
- IRRLICHT_API IrrXMLReaderUTF16
  *IRRCALLCONV irr::io::createIrrXMLReaderUTF16 (const char *filename)
    Creates an instance of an UFT-16 xml parser.
- IRRLICHT_API IrrXMLReaderUTF16
  *IRRCALLCONV irr::io::createIrrXMLReaderUTF16 (FILE *file)
    Creates an instance of an UFT-16 xml parser.
- IRRLICHT_API IrrXMLReaderUTF16
  *IRRCALLCONV irr::io::createIrrXMLReaderUTF16 (IFileReadCallBack *callback, bool deleteCallback=false)
    Creates an instance of an UFT-16 xml parser.
- IRRLICHT_API IrrXMLReaderUTF32
  *IRRCALLCONV irr::io::createIrrXMLReaderUTF32 (const char *filename)
    Creates an instance of an UFT-32 xml parser.
- IRRLICHT_API IrrXMLReaderUTF32
  *IRRCALLCONV irr::io::createIrrXMLReaderUTF32 (FILE *file)
    Creates an instance of an UFT-32 xml parser.
- IRRLICHT_API IrrXMLReaderUTF32
  *IRRCALLCONV irr::io::createIrrXMLReaderUTF32 (IFileReadCallBack *callback, bool deleteCallback=false)
    Creates an instance of an UFT-32 xml parser.

## Detailed Description

Header file of the irrXML, the Irrlicht XML parser.

This file includes everything needed for using irrXML, the XML parser of the Irrlicht Engine. To use irrXML, you only need to include this file in your project:

        #include <irrXML.h>

It is also common to use the two namespaces in which irrXML is included, directly after including irrXML.h:

        #include <irrXML.h>
        using namespace irr;
        using namespace io;

Definition in file irrXML.h.